<section class="detail-visualization-about">
  <div class="panel panel-default header">
    <div class="panel-heading">
      <h5 class="panel-title text-left font-weight-normal">
        Tentang Visualisasi
      </h5>
    </div>
    <ng-container *ngIf="isLoadingRead$ | async">
      <div class="panel-body p-20">
        <div
          class="wrapper-skeleton"
          *ngFor="let number of [70, 10, 30, 20]"
        >
          <ngx-skeleton-loader
            [theme]="{
              width: number + '%',
              'border-radius': '0',
              height: '20px',
              'margin-bottom': '10px'
            }"
          />
        </div>
      </div>
      <div
        class="panel-body p-20"
        style="border-top: 1px solid #dedfe0"
      >
        <div
          class="wrapper-skeleton"
          *ngFor="let number of [40, 30]"
        >
          <ngx-skeleton-loader
            [theme]="{
              width: number + '%',
              'border-radius': '0',
              height: '20px',
              'margin-bottom': '10px'
            }"
          />
        </div>
      </div>
    </ng-container>

    <ng-container *ngIf="(isLoadingRead$ | async) === false">
      <ng-container *ngIf="data$ | async as row">
        <div class="panel-body p-20">
          <div class="row row-eq-height">
            <div class="col-md-4">
              <strong class="mb-5">Informasi Visualiasasi</strong>

              <div class="row">
                <div class="col-md-6 mb-10">
                  Jumlah dilihat<br />
                  <h4>{{ row.count_view }}</h4>
                </div>
                <div
                  class="col-md-6 mb-10"
                  *ngIf="(metadataBusinessIsLoadingList$ | async) === false"
                >
                  Divisualisasikan oleh<br />
                  <h4 class="description">{{ metadataBusinessData.value }}</h4>
                </div>
                <div class="col-md-6 mb-5">
                  Tanggal dibuat<br />
                  <h4 class="description">
                    {{ moment(row.cdate).format('DD MMMM YYYY') }}
                  </h4>
                </div>
                <div class="col-md-6 mb-5">
                  Tanggal diperbarui<br />
                  <h4 class="description">
                    {{ moment(row.mdate).format('DD MMMM YYYY') }}
                  </h4>
                </div>
              </div>
            </div>
            <div class="col-md-8">
              <strong class="mb-5">
                Referensi Dataset &nbsp;
                <i
                  class="fa fa-info-circle text-primary"
                  [tooltip]="
                    'Dataset referensi adalah dataset yang digunakan sebagai sumber utama dalam pembuatan visualisasi'
                  "
                  placement="top"
                  hide-delay="0"
                  aria-hidden="true"
                ></i>
              </strong>

              <div class="row">
                <div class="col-md-12">
                  <div class="table-reference table-responsive">
                    <table
                      class="table"
                      role="presentation"
                    >
                      <tbody>
                        <tr
                          *ngFor="
                            let row of row.visualization_dataset;
                            let i = index
                          "
                        >
                          <td>
                            <a
                              [routerLink]="['/dataset/detail', row.dataset.id]"
                            >
                              {{ row.dataset.name }}
                            </a>
                          </td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div
          class="panel-body p-20"
          style="border-top: 1px solid #dedfe0"
        >
          <strong class="mb-5">Disusun oleh</strong>

          <div class="row">
            <div class="col-md-2">
              <img
                class="img-responsive"
                *ngIf="row.skpd.logo !== null; else imgempty"
                [alt]="row.skpd.nama_skpd"
                [src]="env.backendURL + row.skpd.logo"
              />
              <ng-template #imgempty>
                <img
                  class="img-responsive"
                  [alt]="row.skpd.nama_skpd"
                  src="http://placehold.it/200x200"
                />
              </ng-template>
            </div>
            <div class="col-md-10">
              <h4>{{ row.skpd.nama_skpd }}</h4>

              <div class="row">
                <div class="col-md-4 col-xs-12">
                  <i
                    class="fas fa-phone-alt"
                    aria-hidden="true"
                  ></i>
                  {{ row.skpd.phone !== null ? row.skpd.phone : '-' }}
                  <br />
                  <i
                    class="fas fa-envelope"
                    aria-hidden="true"
                  ></i>
                  {{ row.skpd.email !== null ? row.skpd.email : '-' }}
                </div>
                <div class="col-md-4 col-xs-12">
                  Bidang Organisasi
                  <br />
                  <ng-container
                    *ngIf="(row.skpdsub | json) !== '{}'; else skpdsubempty"
                  >
                    <strong>{{
                      row.skpdsub.nama_skpdsub || '-' | titlecase
                    }}</strong>
                  </ng-container>
                  <ng-template #skpdsubempty>-</ng-template>
                </div>
                <div class="col-md-4 col-xs-12">
                  Seksi Organisasi
                  <br />
                  <ng-container
                    *ngIf="(row.skpdunit | json) !== '{}'; else skpdunitempty"
                  >
                    <strong>{{
                      row.skpdunit.nama_skpdunit || '-' | titlecase
                    }}</strong>
                  </ng-container>
                  <ng-template #skpdunitempty>-</ng-template>
                </div>
              </div>
            </div>
          </div>
        </div>
      </ng-container>
    </ng-container>
  </div>
</section>
